Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182884 - Allow language specific GoTo File providers
Allow language specific GoTo File providers
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Navigation
6.x
PC Mac OS X
: P1 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@editor
:
: 182880 (view as bug list)
Depends on: 183344
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 12:16 UTC by Tomas Zezula
Modified: 2010-04-07 08:25 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments
GoTo File SPI (12.64 KB, patch)
2010-03-31 19:27 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-03-26 12:16:18 UTC
Allow languages to plug a SPI to provide their own file index. Source groups covered by such a provider will not be handled by default file index (indexer + fs search of non indexed dirs).
Comment 1 Michel Graciano 2010-03-26 12:25:24 UTC
Aren't this related to 182880?
Comment 2 Vladimir Voskresensky 2010-03-26 12:31:10 UTC
*** Bug 182880 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Zezula 2010-03-31 19:27:54 UTC
Created attachment 96472 [details]
GoTo File SPI
Comment 4 Tomas Zezula 2010-03-31 19:33:54 UTC
Vladimir can you look to the attached new SPI? If it's OK for you I will add the apichanges and create an apireview request tomorrow and possibly integrate it on the Friday.
The cnd will need to implement FileProvider which computeFiles(...,...) method should return true for roots handled by cnd and false otherwise. You will also need to remove ClassPath registration from the MakeProject.
The Implementation of FileProvider is similar to TypeProvider. You need to implement FileProviderFactory which creates a new TypeProvider for each GoTo File session. The TypeProvider has two methods cancel and computeFiles which are nearly the same as in TypeProvider or SymbolProvider. The only difference is that the computeFiles returns a bool as a result as the FileProvider shoud not do merges.
Comment 5 Tomas Zezula 2010-04-07 08:25:37 UTC
Fixed in jet-main: 9a59d1812167


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo